/* Digital Mars DMDScript source code.
 * Copyright (c) 2000-2002 by Chromium Communications
 * D version Copyright (c) 2004-2010 by Digital Mars
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 * written by Walter Bright
 * http://www.digitalmars.com
 *
 * DMDScript is implemented in the D Programming Language,
 * http://www.digitalmars.com/d/
 *
 * For a C++ implementation of DMDScript, including COM support, see
 * http://www.digitalmars.com/dscript/cppscript.html
 */


module dmdscript.text;


string TEXT_ = "";
string TEXT_source = "source";
string TEXT_global = "global";
string TEXT_ignoreCase = "ignoreCase";
string TEXT_multiline = "multiline";
string TEXT_lastIndex = "lastIndex";
string TEXT_input = "input";
string TEXT_lastMatch = "lastMatch";
string TEXT_lastParen = "lastParen";
string TEXT_leftContext = "leftContext";
string TEXT_rightContext = "rightContext";
string TEXT_prototype = "prototype";
string TEXT_constructor = "constructor";
string TEXT_toString = "toString";
string TEXT_toLocaleString = "toLocaleString";
string TEXT_toSource = "toSource";
string TEXT_valueOf = "valueOf";
string TEXT_message = "message";
string TEXT_description = "description";
string TEXT_Error = "Error";
string TEXT_name = "name";
string TEXT_length = "length";
string TEXT_NaN = "NaN";
string TEXT_Infinity = "Infinity";
string TEXT_negInfinity = "-Infinity";
string TEXT_bobjectb = "[object]";
string TEXT_undefined = "undefined";
string TEXT_null = "null";
string TEXT_true = "true";
string TEXT_false = "false";
string TEXT_object = "object";
string TEXT_string = "string";
string TEXT_number = "number";
string TEXT_boolean = "boolean";
string TEXT_Object = "Object";
string TEXT_String = "String";
string TEXT_Number = "Number";
string TEXT_Boolean = "Boolean";
string TEXT_Date = "Date";
string TEXT_Array = "Array";
string TEXT_RegExp = "RegExp";
string TEXT_arity = "arity";
string TEXT_arguments = "arguments";
string TEXT_callee = "callee";
string TEXT_caller = "caller";			// extension
string TEXT_EvalError = "EvalError";
string TEXT_RangeError = "RangeError";
string TEXT_ReferenceError = "ReferenceError";
string TEXT_SyntaxError = "SyntaxError";
string TEXT_TypeError = "TypeError";
string TEXT_URIError = "URIError";
string TEXT_this = "this";
string TEXT_fromCharCode = "fromCharCode";
string TEXT_charAt = "charAt";
string TEXT_charCodeAt = "charCodeAt";
string TEXT_concat = "concat";
string TEXT_indexOf = "indexOf";
string TEXT_lastIndexOf = "lastIndexOf";
string TEXT_localeCompare = "localeCompare";
string TEXT_match = "match";
string TEXT_replace = "replace";
string TEXT_search = "search";
string TEXT_slice = "slice";
string TEXT_split = "split";
string TEXT_substr = "substr";
string TEXT_substring = "substring";
string TEXT_toLowerCase = "toLowerCase";
string TEXT_toLocaleLowerCase = "toLocaleLowerCase";
string TEXT_toUpperCase = "toUpperCase";
string TEXT_toLocaleUpperCase = "toLocaleUpperCase";
string TEXT_hasOwnProperty = "hasOwnProperty";
string TEXT_isPrototypeOf = "isPrototypeOf";
string TEXT_propertyIsEnumerable = "propertyIsEnumerable";
string TEXT_dollar1 = "$1";
string TEXT_dollar2 = "$2";
string TEXT_dollar3 = "$3";
string TEXT_dollar4 = "$4";
string TEXT_dollar5 = "$5";
string TEXT_dollar6 = "$6";
string TEXT_dollar7 = "$7";
string TEXT_dollar8 = "$8";
string TEXT_dollar9 = "$9";
string TEXT_index = "index";
string TEXT_compile = "compile";
string TEXT_test = "test";
string TEXT_exec = "exec";
string TEXT_MAX_VALUE = "MAX_VALUE";
string TEXT_MIN_VALUE = "MIN_VALUE";
string TEXT_NEGATIVE_INFINITY = "NEGATIVE_INFINITY";
string TEXT_POSITIVE_INFINITY = "POSITIVE_INFINITY";
string TEXT_dash = "-";
string TEXT_toFixed = "toFixed";
string TEXT_toExponential = "toExponential";
string TEXT_toPrecision = "toPrecision";
string TEXT_abs = "abs";
string TEXT_acos = "acos";
string TEXT_asin = "asin";
string TEXT_atan = "atan";
string TEXT_atan2 = "atan2";
string TEXT_ceil = "ceil";
string TEXT_cos = "cos";
string TEXT_exp = "exp";
string TEXT_floor = "floor";
string TEXT_log = "log";
string TEXT_max = "max";
string TEXT_min = "min";
string TEXT_pow = "pow";
string TEXT_random = "random";
string TEXT_round = "round";
string TEXT_sin = "sin";
string TEXT_sqrt = "sqrt";
string TEXT_tan = "tan";
string TEXT_E = "E";
string TEXT_LN10 = "LN10";
string TEXT_LN2 = "LN2";
string TEXT_LOG2E = "LOG2E";
string TEXT_LOG10E = "LOG10E";
string TEXT_PI = "PI";
string TEXT_SQRT1_2 = "SQRT1_2";
string TEXT_SQRT2 = "SQRT2";
string TEXT_parse = "parse";
string TEXT_UTC = "UTC";

string TEXT_getTime = "getTime";
string TEXT_getYear = "getYear";
string TEXT_getFullYear = "getFullYear";
string TEXT_getUTCFullYear = "getUTCFullYear";
string TEXT_getDate = "getDate";
string TEXT_getUTCDate = "getUTCDate";
string TEXT_getMonth = "getMonth";
string TEXT_getUTCMonth = "getUTCMonth";
string TEXT_getDay = "getDay";
string TEXT_getUTCDay = "getUTCDay";
string TEXT_getHours = "getHours";
string TEXT_getUTCHours = "getUTCHours";
string TEXT_getMinutes = "getMinutes";
string TEXT_getUTCMinutes = "getUTCMinutes";
string TEXT_getSeconds = "getSeconds";
string TEXT_getUTCSeconds = "getUTCSeconds";
string TEXT_getMilliseconds = "getMilliseconds";
string TEXT_getUTCMilliseconds = "getUTCMilliseconds";
string TEXT_getTimezoneOffset = "getTimezoneOffset";
string TEXT_getVarDate = "getVarDate";

string TEXT_setTime = "setTime";
string TEXT_setYear = "setYear";
string TEXT_setFullYear = "setFullYear";
string TEXT_setUTCFullYear = "setUTCFullYear";
string TEXT_setDate = "setDate";
string TEXT_setUTCDate = "setUTCDate";
string TEXT_setMonth = "setMonth";
string TEXT_setUTCMonth = "setUTCMonth";
string TEXT_setDay = "setDay";
string TEXT_setUTCDay = "setUTCDay";
string TEXT_setHours = "setHours";
string TEXT_setUTCHours = "setUTCHours";
string TEXT_setMinutes = "setMinutes";
string TEXT_setUTCMinutes = "setUTCMinutes";
string TEXT_setSeconds = "setSeconds";
string TEXT_setUTCSeconds = "setUTCSeconds";
string TEXT_setMilliseconds = "setMilliseconds";
string TEXT_setUTCMilliseconds = "setUTCMilliseconds";

string TEXT_toDateString = "toDateString";
string TEXT_toTimeString = "toTimeString";
string TEXT_toLocaleDateString = "toLocaleDateString";
string TEXT_toLocaleTimeString = "toLocaleTimeString";
string TEXT_toUTCString = "toUTCString";
string TEXT_toGMTString = "toGMTString";

string TEXT_comma =  ",";
string TEXT_join = "join";
string TEXT_pop = "pop";
string TEXT_push = "push";
string TEXT_reverse = "reverse";
string TEXT_shift = "shift";
string TEXT_sort = "sort";
string TEXT_splice = "splice";
string TEXT_unshift = "unshift";
string TEXT_apply = "apply";
string TEXT_call = "call";
string TEXT_function = "function";

string TEXT_eval = "eval";
string TEXT_parseInt = "parseInt";
string TEXT_parseFloat = "parseFloat";
string TEXT_escape = "escape";
string TEXT_unescape = "unescape";
string TEXT_isNaN = "isNaN";
string TEXT_isFinite = "isFinite";
string TEXT_decodeURI = "decodeURI";
string TEXT_decodeURIComponent = "decodeURIComponent";
string TEXT_encodeURI = "encodeURI";
string TEXT_encodeURIComponent = "encodeURIComponent";

string TEXT_print = "print";
string TEXT_println = "println";
string TEXT_readln = "readln";
string TEXT_getenv = "getenv";
string TEXT_assert = "assert";

string TEXT_Function = "Function";
string TEXT_Math = "Math";

string TEXT_0 = "0";
string TEXT_1 = "1";
string TEXT_2 = "2";
string TEXT_3 = "3";
string TEXT_4 = "4";
string TEXT_5 = "5";
string TEXT_6 = "6";
string TEXT_7 = "7";
string TEXT_8 = "8";
string TEXT_9 = "9";

string TEXT_anchor = "anchor";
string TEXT_big = "big";
string TEXT_blink = "blink";
string TEXT_bold = "bold";
string TEXT_fixed = "fixed";
string TEXT_fontcolor = "fontcolor";
string TEXT_fontsize = "fontsize";
string TEXT_italics = "italics";
string TEXT_link = "link";
string TEXT_small = "small";
string TEXT_strike = "strike";
string TEXT_sub = "sub";
string TEXT_sup = "sup";

string TEXT_Enumerator = "Enumerator";
string TEXT_item = "item";
string TEXT_atEnd = "atEnd";
string TEXT_moveNext = "moveNext";
string TEXT_moveFirst = "moveFirst";

string TEXT_VBArray = "VBArray";
string TEXT_dimensions = "dimensions";
string TEXT_getItem = "getItem";
string TEXT_lbound = "lbound";
string TEXT_toArray = "toArray";
string TEXT_ubound = "ubound";

string TEXT_ScriptEngine = "ScriptEngine";
string TEXT_ScriptEngineBuildVersion = "ScriptEngineBuildVersion";
string TEXT_ScriptEngineMajorVersion = "ScriptEngineMajorVersion";
string TEXT_ScriptEngineMinorVersion = "ScriptEngineMinorVersion";
string TEXT_DMDScript =  "DMDScript";

string TEXT_date = "date";
string TEXT_unknown = "unknown";
